﻿@page "/optimize"
@model PommaLabs.Thumbnailer.Server.Pages.OptimizeModel
@{
    ViewData["Title"] = "Media optimization";
    ViewData["RequestUrl"] = Request.GetDisplayUrl();
}

<div class="row">
    <div class="col text-center">
        <h1>Media optimization</h1>
    </div>
</div>

<div class="row">
    <div class="col">
        <!form id="thumbnailer-dropzone" action="/api/v1/optimize?responseType=base64" method="post"
              class="dropzone dz-clickable">
            <div class="dz-message d-flex flex-column">
                <span class="th-upload-icon">&#9729;</span>
                Drag &amp; Drop here or click to start optimizing media files.
            </div>
        </!form>
    </div>
</div>

<div class="row">
    <div class="col-6 offset-3 text-center">
        <!form id="fair-use-token-to-api-key-form" class="d-inline-flex">
            @Html.AntiForgeryToken()
            <input type="hidden" id="fair-use-token" name="token" />
            <button id="fair-use-token-to-api-key-submit" type="button" class="btn btn-primary btn-lg" disabled
                    onclick="onFairUseTokenToApiKeyButtonClick(); return false;">
                Optimize!
            </button>
        </!form>
    </div>
</div>

<div class="row">
    <div class="col th-text-block">
        <h2>What is media optimization?</h2>
        <p>
            Media optimization is about reducing the file size of your media files as much as possible
            without sacrificing quality, so that your page load times and server bandwidth usage remain low.
        </p>
        <p>
            Optimized media files are visually comparable to original ones, yet their size is much smaller.
        </p>
    </div>
</div>

@section Scripts {
    <script>
        window.appData.operationType = "MediaOptimization";
        Dropzone.options.thumbnailerDropzone.acceptedFiles = "image/gif,image/jpeg,image/png,image/svg,image/webp,video/mp4";
    </script>
}
